Bug 246813 - cpu running f7 is a lot hotter unless nohz=off is used
cpu running f7 is a lot hotter unless nohz=off is used
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-05 02:29 EDT by Christof Damian
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-18 03:17:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christof Damian 2007-07-05 02:29:58 EDT
Description of problem:

My Duron 1000 machine is running a lot hotter since I installed f7. It used to
have a 54-58C CPU temperature, now it is 58-62C. I noticed that this is reduced
to nearly the previous value if I use nohz=off

Version-Release number of selected component (if applicable):


How reproducible:

Normal computer use
Additional info:

Comment 1 Chuck Ebbert 2007-07-05 12:33:59 EDT
Is cpufreq reducing the CPU speed when nohz is enabled?

Load the cpufreq_stats module ('modprobe cpufreq_stats'),
then look in:


Compare with and without nohz.
Comment 2 Christof Damian 2007-07-05 12:57:58 EDT
I don't think that my Duron supports cpufreq. Here is the /proc/cpuinfo

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 7
model name      : AMD Duron(tm) 
stepping        : 0
cpu MHz         : 999.050
cache size      : 64 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up ts
bogomips        : 1999.76
clflush size    : 32
Comment 3 Thomas Gleixner 2007-07-11 01:15:15 EDT
Can you please provide a full boot log and the output of /proc/timer_list, when
booted with nohz enabled ?
Comment 4 Christopher Brown 2007-09-17 16:32:17 EDT

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Comment 5 Christof Damian 2007-09-18 03:17:47 EDT
I am closing this bug now. I don't have the time to debug it at the moment as it
takes a long time to notice changes. I am also not sure if the problem still exists.

Note You need to log in before you can comment on or make changes to this bug.